libuser-simple-perl_1.45-1_all.deb


Advertisement

Description

libuser-simple-perl - module for simple user sessions management

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libuser-simple-perl
Package version: 1.45
Package release: 1
Package architecture: all
Package type: deb
Installed size: 100 B
Download size: 30.21 KB
Official Mirror: ftp.br.debian.org
User::Simple provides a very simple framework for validating users, managing their sessions and storing a minimal set of information (this is, a meaningful user login/password pair and the user's name) via a database. The sessions can be used as identifiers for i.e. cookies on a Web system. The passwords are stored as MD5 hashes (this means, the password is not stored in clear text). User::Simple was originally developed with a PostgreSQL database in mind, but should work with any DBI handle, be it from a real database (i.e. PostgreSQL, Firebird, MySQL) or from a file-based one (DBD::CSV, DBD::XBase, DBD::DBM, etc.)

Alternatives

    Download

    Source package: libuser-simple-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libuser-simple-perl deb package:
      # sudo apt-get install libuser-simple-perl

    Files

    • /usr/share/doc/libuser-simple-perl/changelog.Debian.gz
    • /usr/share/doc/libuser-simple-perl/changelog.gz
    • /usr/share/doc/libuser-simple-perl/copyright
    • /usr/share/doc/libuser-simple-perl/examples/user-simple-admin.gz
    • /usr/share/man/man3/User::Simple.3pm.gz
    • /usr/share/man/man3/User::Simple::Admin.3pm.gz
    • /usr/share/perl5/User/Simple.pm
    • /usr/share/perl5/User/Simple/Admin.pm

    Changelog

    2013-06-18 - gregor herrmann <gregoa@debian.org> libuser-simple-perl (1.45-1) unstable; urgency=low * New upstream release. * Build-Depend on Module::Build 0.38. * Drop pod-encoding.patch, applied upstream.

    2013-06-18 - gregor herrmann <gregoa@debian.org> libuser-simple-perl (1.44-1) unstable; urgency=low * New upstream release. * Drop qw-list.patch, merged upstream. * Refresh pod-encoding.patch; the encoding changed but is still not declared.

    2013-06-16 - gregor herrmann <gregoa@debian.org> libuser-simple-perl (1.43-2) unstable; urgency=low [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * debian/watch: remove obsolete comment. * Switch to "3.0 (quilt)" source format. * Add 2 patches to fix build failure under Perl 5.18: - using qw() in list context results in an error - missing =encoding in POD (Closes: #711394) * Use dh(1) in debian/rules and debhelper compatibility level 8. * Set Standards-Version to 3.9.4 (no further changes). * Update short description.

    2009-01-20 - Gunnar Wolf <gwolf@debian.org> libuser-simple-perl (1.43-1) unstable; urgency=low * New upstream release

    2008-12-10 - Gunnar Wolf <gwolf@debian.org> libuser-simple-perl (1.42-1) unstable; urgency=low [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). [ Gunnar Wolf ] * New upstream release (Closes: #508312)

    2008-06-28 - gregor herrmann <gregoa@debian.org> libuser-simple-perl (1.40-1) unstable; urgency=low * New upstream release. * debian/copyright: update years of copyright. * debian/control: add libtest-pod-perl to Build-Depends-Indep for the new POD test. * Update debian/rules to the new dh version 7 format; adjust debian/{control,compat}. * Tweak build-stamp target in debian/rules; otherwise we get /usr/usr.

    2008-06-24 - Gunnar Wolf <gwolf@debian.org> libuser-simple-perl (1.37-1) unstable; urgency=low * New upstream release

    2008-06-20 - gregor herrmann <gregoa@debian.org> libuser-simple-perl (1.36-1) unstable; urgency=low * New upstream release. * debian/control: change my email address. * debian/copyright: change upstream source location. * Refresh debian/rules, no functional changes. Don't install README any more. * Set Standards-Version to 3.8.0 (no changes). * Add libdbd-sqlite3-perl to Build-Depends-Indep to enable tests. * Remove unneeded libdbd-xbase-perl from Build-Depends-Indep.

    2008-03-06 - gregor herrmann <gregor+debian@comodo.priv.at> libuser-simple-perl (1.35-3) unstable; urgency=low [ Damyan Ivanov ] * [debian/watch] Stop capturing file extension [ gregor herrmann ] * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). Removed: XS- Vcs-Svn fields. * debian/rules: - delete /usr/lib/perl5 only if it exists (closes: #467775) - update with dh-make-perl's help - install examples/* with dh_installexamples instead of doing it manually * debian/watch: use dist-based URL. * Set Standards-Version to 3.7.3 (no changes). * debian/copyright: convert to UTF-8. * Revert unannounced changes in lib/User/Simple{,/Admin}.pm: two innocent "ó"s had been bereft of their accents; convert debian/changelog to UTF-8 for _this_ entry.

    2007-08-11 - Joey Hess <joeyh@debian.org> libuser-simple-perl (1.35-2) unstable; urgency=low [ gregor herrmann ] * Set Maintainer to Debian Perl Group with permission of Gunnar Wolf. * Set Standards-Version to 3.7.2 (no changes). * Set debhelper compatibility level to 5. [ Joey Hess ] * Add self to uploaders. * Don't ignore errors from make clean.

    Advertisement
    Advertisement